Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Steam error after update
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Nreal
n00b
n00b


Joined: 06 Jan 2009
Posts: 69

PostPosted: Fri Mar 08, 2013 2:23 pm    Post subject: Steam error after update Reply with quote

Hi

When I try to start Steam i get the following
Does anyone know a easy sollution for this?
:?:

Error: You are missing the following 32-bit libraries, and Steam may not run:
libSDL2-2.0.so.0

user@boxi ~/.local/share/Steam/ubuntu12_32 $ LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH ldd ./steamui.so
linux-gate.so.1 (0xffffe000)
libcef.so => /home/markus/.local/share/Steam/ubuntu12_32/libcef.so (0xf3984000)
liboverride.so => /home/markus/.local/share/Steam/ubuntu12_32/liboverride.so (0xf3982000)
libsteam.so => /home/markus/.local/share/Steam/ubuntu12_32/libsteam.so (0xf363d000)
libtier0_s.so => /home/markus/.local/share/Steam/ubuntu12_32/libtier0_s.so (0xf360c000)
libvstdlib_s.so => /home/markus/.local/share/Steam/ubuntu12_32/libvstdlib_s.so (0xf3591000)
libSDL2-2.0.so.0 => not found
libXrandr.so.2 => /usr/lib32/libXrandr.so.2 (0xf3541000)
libXext.so.6 => /usr/lib32/libXext.so.6 (0xf3532000)
libX11.so.6 => /usr/lib32/libX11.so.6 (0xf3416000)
libGL.so.1 => /usr/lib32/libGL.so.1 (0xf3327000)
libpangoft2-1.0.so.0 => /usr/lib32/libpangoft2-1.0.so.0 (0xf32ff000)
libpango-1.0.so.0 => /usr/lib32/libpango-1.0.so.0 (0xf32bd000)
libfreetype.so.6 => /usr/lib32/libfreetype.so.6 (0xf3232000)
libfontconfig.so.1 => /usr/lib32/libfontconfig.so.1 (0xf3202000)
libgobject-2.0.so.0 => /usr/lib32/libgobject-2.0.so.0 (0xf31be000)
libglib-2.0.so.0 => /usr/lib32/libglib-2.0.so.0 (0xf30b5000)
libgtk-x11-2.0.so.0 => /usr/lib32/libgtk-x11-2.0.so.0 (0xf2ce8000)
librt.so.1 => /lib32/librt.so.1 (0xf2cdf000)
libm.so.6 => /lib32/libm.so.6 (0xf2c9f000)
libdl.so.2 => /lib32/libdl.so.2 (0xf2c9a000)
libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/32/libstdc++.so.6 (0xf2bab000)
libpthread.so.0 => /lib32/libpthread.so.0 (0xf2b90000)
/lib/ld-linux.so.2 (0x47aad000)
libc.so.6 => /lib32/libc.so.6 (0xf29e9000)
libgdk-x11-2.0.so.0 => /usr/lib32/libgdk-x11-2.0.so.0 (0xf294f000)
libpangocairo-1.0.so.0 => /usr/lib32/libpangocairo-1.0.so.0 (0xf2943000)
libgdk_pixbuf-2.0.so.0 => /usr/lib32/libgdk_pixbuf-2.0.so.0 (0xf2926000)
libcairo.so.2 => /usr/lib32/libcairo.so.2 (0xf284f000)
libXi.so.6 => /usr/lib32/libXi.so.6 (0xf2840000)
libasound.so.2 => /usr/lib32/libasound.so.2 (0xf2781000)
libXrender.so.1 => /usr/lib32/libXrender.so.1 (0xf2778000)
libnss3.so => /usr/lib32/libnss3.so (0xf2635000)
libnssutil3.so => /usr/lib32/libnssutil3.so (0xf2610000)
libsmime3.so => /usr/lib32/libsmime3.so (0xf25e5000)
libplc4.so => /usr/lib32/libplc4.so (0xf25df000)
libnspr4.so => /usr/lib32/libnspr4.so (0xf25a1000)
libz.so.1 => /lib32/libz.so.1 (0xf258c000)
libdbus-1.so.3 => /usr/lib32/libdbus-1.so.3 (0xf2556000)
libpng12.so.0 => /usr/lib32/libpng12.so.0 (0xf2532000)
libXfixes.so.3 => /usr/lib32/libXfixes.so.3 (0xf252c000)
libcups.so.2 => /usr/lib32/libcups.so.2 (0xf24dc000)
libgcrypt.so.11 => /usr/lib32/libgcrypt.so.11 (0xf2462000)
libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/32/libgcc_s.so.1 (0xf2446000)
libxcb.so.1 => /usr/lib32/libxcb.so.1 (0xf242b000)
libnvidia-tls.so.313.26 => /usr/lib32/libnvidia-tls.so.313.26 (0xf2426000)
libnvidia-glcore.so.313.26 => /usr/lib32/libnvidia-glcore.so.313.26 (0xf0498000)
libgmodule-2.0.so.0 => /usr/lib32/libgmodule-2.0.so.0 (0xf0494000)
libbz2.so.1 => /lib32/libbz2.so.1 (0xf0483000)
libexpat.so.1 => /usr/lib32/libexpat.so.1 (0xf0459000)
libgthread-2.0.so.0 => /usr/lib32/libgthread-2.0.so.0 (0xf0455000)
libffi.so.6 => /usr/lib32/libffi.so.6 (0xf044e000)
libXinerama.so.1 => /usr/lib32/libXinerama.so.1 (0xf044a000)
libXcursor.so.1 => /usr/lib32/libXcursor.so.1 (0xf0440000)
libXcomposite.so.1 => /usr/lib32/libXcomposite.so.1 (0xf043c000)
libXdamage.so.1 => /usr/lib32/libXdamage.so.1 (0xf0437000)
libatk-1.0.so.0 => /usr/lib32/libatk-1.0.so.0 (0xf041a000)
libgio-2.0.so.0 => /usr/lib32/libgio-2.0.so.0 (0xf02fa000)
libpng15.so.15 => /usr/lib32/libpng15.so.15 (0xf02d0000)
libpixman-1.so.0 => /usr/lib32/libpixman-1.so.0 (0xf0250000)
libEGL.so.1 => /usr/lib32/libEGL.so.1 (0xf0233000)
libplds4.so => /usr/lib32/libplds4.so (0xf022e000)
libgssapi_krb5.so.2 => /usr/lib32/libgssapi_krb5.so.2 (0xf01f8000)
libgpg-error.so.0 => /usr/lib32/libgpg-error.so.0 (0xf01f2000)
libXau.so.6 => /usr/lib32/libXau.so.6 (0xf01ee000)
libXdmcp.so.6 => /usr/lib32/libXdmcp.so.6 (0xf01e8000)
libresolv.so.2 => /lib32/libresolv.so.2 (0xf01d0000)
libX11-xcb.so.1 => /usr/lib32/libX11-xcb.so.1 (0xf01cc000)
libxcb-dri2.so.0 => /usr/lib32/libxcb-dri2.so.0 (0xf01c7000)
libxcb-xfixes.so.0 => /usr/lib32/libxcb-xfixes.so.0 (0xf01c0000)
libxcb-render.so.0 => /usr/lib32/libxcb-render.so.0 (0xf01b7000)
libxcb-shape.so.0 => /usr/lib32/libxcb-shape.so.0 (0xf01b3000)
libudev.so.1 => /lib32/libudev.so.1 (0xf01a0000)
libdrm.so.2 => /usr/lib32/libdrm.so.2 (0xf0195000)
libkrb5.so.3 => /usr/lib32/libkrb5.so.3 (0xf00e1000)
libk5crypto.so.3 => /usr/lib32/libk5crypto.so.3 (0xf00bb000)
libcom_err.so.2 => /lib32/libcom_err.so.2 (0xf00b7000)
libkrb5support.so.0 => /usr/lib32/libkrb5support.so.0 (0xf00ae000)
libkeyutils.so.1 => /lib32/libkeyutils.so.1 (0xf00aa000)
libsystemd-daemon.so.0 => /lib32/libsystemd-daemon.so.0 (0xf00a6000)
Back to top
View user's profile Send private message
donc_oe
n00b
n00b


Joined: 26 Feb 2012
Posts: 8

PostPosted: Fri Mar 08, 2013 3:33 pm    Post subject: Reply with quote

having the same problem

Code:
 ~/.steam/bin $ LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH ldd ./steamui.so
        [...]
   libSDL2-2.0.so.0 => not found
        [...]


also found this discussion.... http://steamcommunity.com/app/221410/discussions/0/846940248468745632/

it suggests to remove
Code:
~/.steam/steam/package/beta
this will opt out of public beta and downloads a latest stable version. but this is only a temporary workaround. i've tested it - it works.

another gentoo user in this thread suggests
Quote:
Hi, for those using gentoo-64, I just emerged the new package media-libs/libsdl-2.0.0_pre6940 with abi_x86_32 USE flag, and now steam beta works fine again.
but i've not tested it so far...
Back to top
View user's profile Send private message
usc.urich
n00b
n00b


Joined: 08 Mar 2013
Posts: 1

PostPosted: Fri Mar 08, 2013 5:35 pm    Post subject: Reply with quote

I solved this problem CFLAGS='-m32' CHOST="i686-pc-linux-gnu" ABI="x86" emerge =libsdl-2.0.0_pre6799
Back to top
View user's profile Send private message
Spent
n00b
n00b


Joined: 30 May 2004
Posts: 51
Location: Bawlmer Hon!

PostPosted: Fri Mar 08, 2013 9:48 pm    Post subject: Reply with quote

The needed version of libsdl is in the steam overlay.
Back to top
View user's profile Send private message
Naib
Advocate
Advocate


Joined: 21 May 2004
Posts: 4160
Location: Removed by Neddy

PostPosted: Fri Mar 08, 2013 11:29 pm    Post subject: Reply with quote

OR...

STEAM_RUNTIME=1 steam


to tell steam to use the binaries it ships with. There is a bug open requesting emul packages are updated.
Back to top
View user's profile Send private message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 341
Location: Leeds

PostPosted: Fri Mar 29, 2013 6:20 pm    Post subject: Reply with quote

Thanx Naib
Back to top
View user's profile Send private message
hasufell
Developer
Developer


Joined: 29 Oct 2011
Posts: 247

PostPosted: Mon Apr 01, 2013 1:18 am    Post subject: Reply with quote

if you use such libraries from overlays, then you are on your own if things break.

we will update libsdl-2 when it get's released. It is not. SDL upstream is reliable and knows why and when they do their final release.

So you should prefer the steam runtime.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum